=== debian/changelog ===
apmd (3.0beta3-2) unstable; urgency=low

  * Renamed /etc/apm-suspend.d and /etc/apm-resume.d to /etc/apm/suspend.d
    and resume.d, to reduct /etc clutter.

 -- Avery Pennarun <apenwarr@debian.org>  Mon, 14 Sep 1998 14:27:03 -0400

apmd (3.0beta3-1) unstable; urgency=low

  * New upstream version cleans up a few things and improves Thinkpad
    support.

 -- Avery Pennarun <apenwarr@debian.org>  Sat, 12 Sep 1998 14:34:11 -0400

apmd (3.0beta2-1) unstable; urgency=low

  * New upstream version fixes some minor bugs with pre_suspend and
    post_resume commands.

 -- Avery Pennarun <apenwarr@debian.org>  Sun,  6 Sep 1998 01:21:14 -0400

apmd (3.0beta1-1) unstable; urgency=low

  * I am now the official upstream maintainer for the APM package.
  * Integrated Rik Faith's latest fixes and a few others that have
    been floating around.
  * Added support for /etc/apm-suspend.d and /etc/apm-resume.d directories,
    containing scripts that should run whenever the system enters or leaves
    suspend mode.

 -- Avery Pennarun <apenwarr@debian.org>  Sun,  6 Sep 1998 01:21:14 -0400

apmd (2.4-12) frozen unstable; urgency=low

  * New package maintainer.
  * Changed call from "clock -s" to use hwclock and obtain $GMT setting
    from /etc/default/rcS.  (Fixes bug#23008)

 -- Avery Pennarun <apenwarr@debian.org>  Wed, 10 Jun 1998 16:25:40 -0400

apmd (2.4-11) frozen unstable; urgency=low

  * Added the four binaries apm, apmd, tailf and xapm back into the
    package. Thanks to Jim Jensen <jensen@clark.net> for pointing out that
    this debhelper conversion wasn't quite complete. 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 May 1998 20:49:41 -0400

apmd (2.4-10) frozen unstable; urgency=low, Closes=4593

  * Added missing 'zero' elements at last position of the longopts[] array
    so that apm(1) no longer segfaults on unknown arguments (fixes #4593)
  * Changed Description: in debian/control (lintian)
  * Removed blurb about 'needs 1.3.x kernels' in debian/control
  * Converted debian/rules to debhelper
  * Upgraded to Debian Policy 2.4.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 11 May 1998 22:57:02 -0400

apmd (2.4-9) unstable; urgency=low

  * Added the missing ';;' to /etc/init.d/apmd (fixes #18529)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Feb 1998 19:09:10 -0500

apmd (2.4-8) unstable; urgency=low

  * Upgraded to Debian Policy 2.4.0.0 (lintian, fixes #16775)
  * Added force-reload and restart targets to /etc/init.d/apmd (lintian)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 Feb 1998 21:16:34 -0500

apmd (2.4-7) unstable; urgency=low

  * Compiled with GNU libc2 aka libc6 
  * Now ships the unmodified upstream source as apmd_2.4.orig.tar.gz
  * Added variable for apmd options to /etc/init.d/apmd.

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  1 Nov 1997 16:20:59 -0500

apmd (2.4-6) unstable; urgency=low

  * Changed Description: to stress the fact that APM support has to be 
    enabled in the kernel in order to use this (fixes bug #10260)
  * Added warning to postinst if no /proc/apm found (fixes bug #10260)
  * Added test for /proc/apm to /etc/init.d/apmd 
  * Changed /etc/init.d/apmd console message slightly

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Jun 1997 16:49:44 -0400

apmd (2.4-5) unstable; urgency=low

  * Applied patch by Jim Van Zandt <jrv@vanzandt.mv.com> to suppress
    unwanted debugging output on virtual consoles 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 8 Feb 1997 23:08:16 -0500

apmd (2.4-4) frozen unstable; urgency=low

  * Really changed /etc/init.d/apmd to test for apmd binary (fixes bug #5526)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 29 Nov 1996 20:59:14 -0500

apmd (2.4-3) frozen unstable; urgency=low

  * Changed /etc/init.d/apmd to test for /usr/sbin/apmd (fixes bug #5526)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Nov 1996 17:49:13 -0500

apmd (2.4-2) unstable; urgency=low

  * Changed the prerm script (fixes bug#4489)
  * Changed Architecture: to i386 as an APM compliant BIOS is needed
  
  * Converted package management files to new Debian-1.2 style
  * Compresses manual pages with gzip -9v  
  * Changed maintainer email address to <edd@debian.org>

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Sep 1996 15:18:55 -0400

Wed Aug  7 20:53:17 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* debian.rules: install xapm.1x, not xapm.1

Fri May 17 21:15:17 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* apmd-2.4-1 release

	* debian.rules: use /usr/doc/examples and not /usr/doc/example
	  (fixes bug#3029)

Tue May  7 00:19:20 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* apmd-2.4-0 release

	* new upstream version apmd-2.4 with support for --suspend and
	  --standby which requires kernel 1.3.98 or higher.

Sat Apr 13 12:26:16 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* apmd-2.2-0 release

	* new upstream version apmd-2.2 with support for /dev/apm_bios;
          apmd-2.2 utilities will work with older and newer kernels
	
	* debian.control: added Architecture: field 

Sun Mar 10 09:54:49 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* apmd-2.1-1 release
	
	* apmd.rc: deleted the reload feature, fixed a typo

Sat Mar  9 10:58:03 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* apmd-2.1-0: Initial Debian release, added Debian package management
	  system scripts and Debian sysvinit daemon handling scripts  
	
	* provide apmlib.c as source in /usr/doc/example/apmd so that 
	  users can build either shared or static libs themselves


Local variables:
mode: debian-changelog
End:      
