=== debian/control ===
Source: apmd
Section: admin
Priority: extra
Maintainer: Avery Pennarun <apenwarr@debian.org>
Standards-Version: 2.4.1

Package: apmd
Architecture: i386
Depends: ${shlibs:Depends}
Description: Utilities for Advanced Power Management (APM) on laptops
 On laptop computers, the Advanced Power Management (APM) support 
 provides access to battery status information and may help you to 
 conserve battery power, depending on your laptop and the APM 
 implementation. APM support has been in the kernel since 1.3.46.
 .
 This package contains apmd(8), a daemon that provides logging of the 
 battery status, apm(1), a client that prints /proc/apm, xapm(1x), an
 X11 utility that displays a little graph, (and tailf(1) which follows 
 the growth of a log file). 
 .
 The Debian default kernel does *not* contain APM support, because it causes
 problems on some computers.  So, you need to recompile your kernel
 and enable APM support during configuration; the corresponding questions
 are in the 'Character devices' section.
 .
