## apmd 3.0beta5-1

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,10 @@
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.14 1998/09/12 20:54:41 apenwarr Exp $
+# $Id: Makefile,v 1.15 1998/11/08 20:40:46 apenwarr Exp $
 #
 
-VERSION=3.0beta3
+VERSION=3.0beta4
 
 ifneq (,)
 This makefile requires GNU Make.
