=== debian/changelog ===
apmd (3.0beta5-1) frozen unstable; urgency=high

  * We should be using fork(), not vfork() -- one-character change.  Fixes
    problems with 2.2.0 kernels.

 -- Avery Pennarun <apenwarr@debian.org>  Sun, 24 Jan 1999 00:29:24 -0500

apmd (3.0beta4-1) frozen unstable; urgency=low

  * I (upstream maintainer) relabeled the version number because the
    changes are useful beyond just Debian.
    
  * Distribution should have been "frozen unstable", not "frozen".  Oops.

 -- Avery Pennarun <apenwarr@debian.org>  Sun,  8 Nov 1998 15:34:14 -0500

apmd (3.0beta3-3) frozen; urgency=low

  * /etc/init.d/apmd should not assume $GMT will be either -u or blank.
    Fixes bug#28731.
    
  * /etc/init.d/apmd still contained some references to /etc/apm-suspend.d
    and apm-resume.d; these should have been /etc/apm/suspend.d and
    resume.d.  Oops.  Fixes bug#27539.
    
  * Fixed some typos in the man pages.

 -- Avery Pennarun <apenwarr@debian.org>  Sat,  7 Nov 1998 20:06:03 -0500
