=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian.rules file for the Debian/GNU Linux apmd package
# Copyright 1996-98 by Dirk Eddelbuettel <edd@debian.org>

package	= apmd
debtmp	:= $(shell pwd)/debian/tmp

#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	#./configure --prefix=/usr  
	$(MAKE) ChangeLog
	$(MAKE) CFLAGS=-O2 LDFLAGS=       
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

binary-indep: build

binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	#$(MAKE) prefix=`pwd`/debian/tmp install
	install -m 0755 tailf apm 	$(debtmp)/usr/bin/
	install -m 0755 apmd 		$(debtmp)/usr/sbin/
	install -m 0755 xapm 		$(debtmp)/usr/X11R6/bin/
	install -m 0644 tailf.1 apm.1 	$(debtmp)/usr/man/man1/
	install -m 0644 apmd.8 		$(debtmp)/usr/man/man8/
	install -m 0644 xapm.1 		$(debtmp)/usr/X11R6/man/man1/xapm.1x
	dh_installdocs			README ANNOUNCE
	dh_installexamples		apmlib.c
#	dh_installmenu
	dh_installinit			--noscripts
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs		ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
#	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
