## apmd 3.0beta8-1

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,10 @@
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.15 1998/11/08 20:40:46 apenwarr Exp $
+# $Id: Makefile,v 1.22 1999/06/16 00:24:20 apenwarr Exp $
 #
 
-VERSION=3.0beta4
+VERSION=3.0beta8
 
 ifneq (,)
 This makefile requires GNU Make.
@@ -32,9 +32,13 @@
 EXES=apm apmd tailf xapm
 HEADERS=apm.h
 
+APMD_PROXY_DIR=/etc
 CC=gcc
 CFLAGS=-O -g
-XTRACFLAGS=-Wall -pipe -I. -DVERSION=\"$(VERSION)\"
+XTRACFLAGS=-Wall -pipe -I. -I/usr/src/linux/include \
+		-I/usr/src/linux-2.2/include -I /usr/src/linux-2.0/include \
+		-DVERSION=\"$(VERSION)\" \
+		-DAPMD_PROXY_NAME=\"$APMD_PROXY_DIR/apmd_proxy\"
 LDFLAGS=
 XTRALDFLAGS=-L. -lapm
 XLDFLAGS=-L/usr/X11R6/lib
@@ -75,16 +79,17 @@
 	rcs2log > ChangeLog
 
 install: $(EXES)
-	install        apm          /usr/bin
-	install -m 644 apm.1        /usr/man/man1
-	install        apmd         /usr/sbin
-	install -m 644 apmd.8       /usr/man/man8
-	install        xapm         /usr/X11R6/bin
-	install -m 644 xapm.1       /usr/X11R6/man/man1/xapm.1x
-	install        tailf        /usr/bin
-	install -m 644 tailf.1      /usr/man/man1
-	install -m 644 libapm.a     /usr/lib
-	install -m 644 apm.h        /usr/include
+	install        apm on_ac_power /usr/bin
+	install -m 644 apm.1           /usr/man/man1
+	install        apmd            /usr/sbin
+	install -b     apmd_proxy      $APMD_PROXY_DIR
+	install -m 644 apmd.8          /usr/man/man8
+	install        xapm            /usr/X11R6/bin
+	install -m 644 xapm.1          /usr/X11R6/man/man1/xapm.1x
+	install        tailf           /usr/bin
+	install -m 644 tailf.1         /usr/man/man1
+	install -m 644 libapm.a        /usr/lib
+	install -m 644 apm.h           /usr/include
 
 .PHONY:	clean distclean
 distclean clean:
