=== debian/changelog ===
apmd (3.0beta8-1) unstable; urgency=low
  
  * Various bug fixes and improvements.  In particular, this is supposed
 	to eliminate excessive log messages, although I personally never saw
 	them anyway.

 -- Avery Pennarun <apenwarr@debian.org>  Tue, 15 Jun 1999 20:25:12 -0400

apmd (3.0beta7-1) unstable; urgency=low
  
  * apmd: totally new apmd_proxy stuff from Craig Markwardt.  Now you can
  	handle pretty much _any_ APM event by adding scripts to
  	/etc/apm/event.d.
  
  * Hopefully we didn't lose anyone else's fixes... let me know if you
  	find a new bug!

 -- Avery Pennarun <apenwarr@debian.org>  Sat,  5 Jun 1999 18:05:12 -0400

apmd (3.0beta6-1) unstable; urgency=low
  
  * apmd: new options for now-on-wall-power and now-on-battery events.
  
  * xapm: support for strangeness in the IBM ThinkPad 770X.  Set
    IBM_THINKPAD to 1 in xapm.c if you want this enabled.
    Also, we show a P or B in xapm to indicate wall or battery power.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  5 Apr 1999 00:59:55 -0400
