=== debian/control ===
--- 
+++ 
@@ -11,12 +11,15 @@
  On laptop computers, the Advanced Power Management (APM) support 
  provides access to battery status information and may help you to 
  conserve battery power, depending on your laptop and the APM 
- implementation. APM support has been in the kernel since 1.3.46.
+ implementation.  The apmd program also lets you run arbitrary programs
+ when APM events happen (for example, you can eject PCMCIA devices when
+ you suspend, or change hard drive timeouts when you connect the battery).
  .
- This package contains apmd(8), a daemon that provides logging of the 
- battery status, apm(1), a client that prints /proc/apm, xapm(1x), an
- X11 utility that displays a little graph, (and tailf(1) which follows 
- the growth of a log file). 
+ This package contains apmd(8), a daemon for logging and acting on APM
+ events, apm(1), a client that prints /proc/apm, xapm(1x), an X11 utility
+ that displays a little graph, on_ac_power(1), a program for shell scripts
+ to determine if wall power is connected, and tailf(1) which follows the
+ growth of a log file without writing to disk.
  .
  The Debian default kernel does *not* contain APM support, because it causes
  problems on some computers.  So, you need to recompile your kernel
