=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	#./configure --prefix=/usr  
-	$(MAKE) ChangeLog
+	-$(MAKE) ChangeLog
 	$(MAKE) CFLAGS=-O2 LDFLAGS=       
 	touch build-stamp
 
@@ -26,24 +25,23 @@
 binary-indep: build
 
 binary-arch: build
-#	dh_testversion
+	dh_testversion
 	dh_testdir
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
 	#$(MAKE) prefix=`pwd`/debian/tmp install
-	install -m 0755 tailf apm 	$(debtmp)/usr/bin/
-	install -m 0755 apmd 		$(debtmp)/usr/sbin/
-	install -m 0755 xapm 		$(debtmp)/usr/X11R6/bin/
-	install -m 0644 tailf.1 apm.1 	$(debtmp)/usr/man/man1/
-	install -m 0644 apmd.8 		$(debtmp)/usr/man/man8/
-	install -m 0644 xapm.1 		$(debtmp)/usr/X11R6/man/man1/xapm.1x
+	install -m 0755 tailf apm on_ac_power	$(debtmp)/usr/bin/
+	install -m 0755 apmd 			$(debtmp)/usr/sbin/
+	install -m 0755 xapm 			$(debtmp)/usr/X11R6/bin/
+	install -m 0755 debian/apmd_proxy 	$(debtmp)/etc/apm/
+	install -m 0755 debian/00hwclock	$(debtmp)/etc/apm/event.d/
 	dh_installdocs			README ANNOUNCE
-	dh_installexamples		apmlib.c
+#	dh_installexamples		apmlib.c
 #	dh_installmenu
 	dh_installinit			--noscripts
 #	dh_installcron
-#	dh_installmanpages
+	dh_installmanpages
 #	dh_undocumented
 	dh_installchangelogs		ChangeLog
 	dh_strip
