=== debian/changelog ===
apmd (3.0final-1) unstable; urgency=low

  * Rebuilt for potato with new debhelper.  Since there haven't been any
 	new bugs in a long time, finally released 3.0final.
 
  * Architecture: any instead of i386, since other arches are now
 	implementing the same API, even if APM isn't exactly the same.
 	Fixes bug#51205.
	
  * Man page corrected; fixes bug#47701.
  
  * Close all file descriptors after fork(), so secure-attention-key (SAK)
  	won't kill us; fixes bug#37188.
  
  * Use xaw-wrappers for xapm; fixes bug#42750.
  
  * Store the hardware clock on suspend; fixes bug#42976.
  
 -- Avery Pennarun <apenwarr@debian.org>  Thu,  6 Jan 2000 21:40:57 -0500

apmd (3.0beta9-2) unstable; urgency=low
  
  * Oops!  My debian apmd_proxy scripts were all screwed up.  I accidentally
 	installed the Red Hat one!  Fixes bug#42686, bug#42228

  * Close fd 0, 1, and 2 upon fork().  Fixed bug#37188.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  9 Aug 1999 18:38:39 -0400

apmd (3.0beta9-1) unstable; urgency=low
  
  * Bug fixes and improvements as we approach the 3.0final release.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  2 Aug 1999 16:19:49 -0400
