=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 2.4.1
 
 Package: apmd
-Architecture: i386
+Architecture: any
 Depends: ${shlibs:Depends}
 Description: Utilities for Advanced Power Management (APM) on laptops
  On laptop computers, the Advanced Power Management (APM) support
