=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,13 @@
 debtmp	:= $(shell pwd)/debian/tmp
 
 #export DH_VERBOSE=1
+MAKE_FLAGS=PREFIX=`pwd`/debian/tmp/usr APMD_PROXY_DIR=$(debtmp)/etc/apm/
 
 build: build-stamp
 build-stamp:
 	dh_testdir
 	-$(MAKE) ChangeLog
-	$(MAKE) CFLAGS=-O2 LDFLAGS=       
+	$(MAKE) ${MAKE_FLAGS} CFLAGS=-O2 LDFLAGS=       
 	touch build-stamp
 
 clean:
@@ -30,18 +31,17 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	#$(MAKE) prefix=`pwd`/debian/tmp install
-	install -m 0755 tailf apm on_ac_power	$(debtmp)/usr/bin/
-	install -m 0755 apmd 			$(debtmp)/usr/sbin/
-	install -m 0755 xapm 			$(debtmp)/usr/X11R6/bin/
-	install -m 0755 debian/apmd_proxy 	$(debtmp)/etc/apm/
-	install -m 0755 debian/00hwclock	$(debtmp)/etc/apm/event.d/
+	$(MAKE) ${MAKE_FLAGS} install
+	mv $(debtmp)/usr/bin/xapm $(debtmp)/usr/bin/xapm.real
+	install -m 0755 debian/apmd_proxy $(debtmp)/etc/apm/
+	install -m 0755 debian/00hwclock  $(debtmp)/etc/apm/event.d/
 	dh_installdocs			README ANNOUNCE
 #	dh_installexamples		apmlib.c
 #	dh_installmenu
 	dh_installinit			--noscripts
 #	dh_installcron
 	dh_installmanpages
+	dh_installxaw
 #	dh_undocumented
 	dh_installchangelogs		ChangeLog
 	dh_strip
